/*
    DIALOGFORM.CFM
    This custom form is part of the dB2K tutorial project. 
*/
** END HEADER -- do not remove this line
class DialogFormCForm of BASECFORM custom from "Base.cfm"
   set procedure to custbutt.cc additive
   with (this)
      text = "DialogCustomForm"
      clientEdge = true
      autoCenter = true
      mdi = false
      smallTitle = true
      menuFile = ""
   endwith

   this.PBSAVE = new BASESPEEDBUTTON(this)
   with (this.PBSAVE)
      onClick = class::PBSAVE_ONCLICK
      height = 1.1818
      left = 20.2857
      top = 8.6364
      width = 10.7143
      text = "OK"
      upBitmap = "filename saveChild.bmp"
      disabledBitmap = ""
      speedTip = "Save Changes"
   endwith

   this.PBCANCEL = new BASESPEEDBUTTON(this)
   with (this.PBCANCEL)
      onClick = class::PBCANCEL_ONCLICK
      height = 1.1818
      left = 20.1429
      top = 10
      width = 11
      text = "Cancel"
      upBitmap = "filename abandonChild.bmp"
      disabledBitmap = ""
      speedTip = "Cancel Changes"
   endwith


   function PBCANCEL_onClick
      // abandon changes and close the form:
      if form.rowset # NULL
         form.rowset.abandon()
      endif
      form.close()
   return

   function PBSAVE_onClick
      // Save and close the form:
      if form.rowset # NULL
         form.rowset.save()
      endif
      //  When the listForm calls this dialogForm in Append mode,
      //  We will "return" the new ID value so that the parent
      //  form can seek to this new record.  Note: that the 
      //  parent form has an active index so rowset.last() 
      //  is of no use.  
      if type('form.keyField') # "U"
         form.selectedID = form.rowset.fields[form.keyField].value
      endif
      form.close()
   return
endclass
